Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454593 - change hwcert code to work with bugzilla 3.2 after NEEDINFO status cleanup
Summary: change hwcert code to work with bugzilla 3.2 after NEEDINFO status cleanup
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Hardware Catalog
Version: 5
Hardware: All
OS: Linux
high
high
Target Milestone: ---
: ---
Assignee: Rob Landry
QA Contact: Yu Shao
URL:
Whiteboard:
Depends On:
Blocks: RHBZ30UpgradeTracker 437069 hwcert->BZ3_tracker
TreeView+ depends on / blocked
 
Reported: 2008-07-09 07:07 UTC by Noura El hawary
Modified: 2012-10-23 05:28 UTC (History)
7 users (show)

Fixed In Version: 3.2rh-20080801.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-08-04 17:57:04 UTC
Target Upstream Version:


Attachments (Terms of Use)
But to map the needinfo to NEEDINFO (deleted)
2008-07-21 07:10 UTC, eric_liu
no flags Details | Diff
patch to fix (1)-(5) entries in comment#5 (deleted)
2008-07-22 14:57 UTC, eric_liu
no flags Details | Diff
a patch have been cleaned some useless thing out (deleted)
2008-07-22 16:05 UTC, eric_liu
no flags Details | Diff
newest first-part patch which fix the suggestion in comment#8 and comment#10 :) (deleted)
2008-07-22 18:18 UTC, eric_liu
no flags Details | Diff
fixed above comments (deleted)
2008-07-23 02:54 UTC, eric_liu
no flags Details | Diff
Updated needinfo as a flag patch (deleted)
2008-07-25 23:06 UTC, Rob Landry
no flags Details | Diff
minor update to needinfo-flag patch (deleted)
2008-07-29 18:54 UTC, Rob Landry
no flags Details | Diff

Description Noura El hawary 2008-07-09 07:07:44 UTC
in the bugzilla 3.2 upgrade the NEEDINO status will be deleted and needinfo flag
will be used for its purpose. as reported by hwcert team this has an affect on
hwcert and so changes will need to be made to hwcert code accordingly to match
the new change. the needinfo clean up script can be found in
rh_bugzilla_3/redhat/needinfo_status_cleanup.pl which will have detailed design
of  the clean up process. but basically here is what we have done to delete the
NEEDINFO status:


1- for all bugs with needinfo flag set to ? and the bug status is CLOSED we
deleted the needinfo? flag from that bug.

2- for all bugs that are with open state not equal to NEEDINFO and has needinfo?
flag set if there was a comment or attachment made after the needinfo? was set
from the appropriate person then we delete the needinfo? flag from the bug.


3- all the bugs with current status set to NEEDINFO, if it has needinfo? flag
set then just set the bug status to previous state it had before NEEDINFO

4- all the bugs with current status set to NEEDINFO, if it doesn't have the
needinfo? flag set , then set the flag to needinfo? from anyone and set the bug
status to previous state it had before NEEDINFO

      
so basically to summarize: to know that a bug requires information ,, you just
check for bugs with needinfo flag set to ? in bugzilla 3.2 and this replaces a
bug having NEEDINFO status in bugzilla 2.18

I hope that above was clear, please do not hesitate to ask any questions.

Noura

Comment 1 David Lawrence 2008-07-17 15:17:22 UTC
Rob, just wanted to touch base that the necessary information has been provided
and you guys will be ready to go with this by August 2nd along with your other
3.2 related changes?

Thanks
Dave

Comment 2 Rob Landry 2008-07-17 15:57:30 UTC
Dave, I believe we have the information needed, this has been assigned and Eric
is working on a patch.  I'll talk with him tonight to find out when he plans on
having the patch complete.  We are still targeting the 7/26 date in hwcert to
ensure we have the extra week as a window.

-Rob

Comment 3 eric_liu 2008-07-21 07:10:58 UTC
Created attachment 312231 [details]
But to map the needinfo to NEEDINFO

Comment 7 eric_liu 2008-07-22 14:57:11 UTC
Created attachment 312356 [details]
patch to fix (1)-(5) entries in comment#5

patch to fix (1)-(5) entries in comment#5

Comment 9 eric_liu 2008-07-22 16:05:47 UTC
Created attachment 312360 [details]
a patch have been cleaned some useless thing out

Comment 11 eric_liu 2008-07-22 18:18:23 UTC
Created attachment 312381 [details]
newest first-part  patch  which fix the suggestion in comment#8 and comment#10  :)

Comment 12 eric_liu 2008-07-22 18:19:35 UTC
I have already uploaded the newest first-part patch which fix the suggestion in
comment#8 and comment#10 :) 

Comment 13 Rob Landry 2008-07-22 21:33:08 UTC
edit.html: fine

status_edit.html.tmpl

@@ -2,26 +2,12 @@
The </hr> should remain, the status_edit template is currently correct, rh_edit
(has an </hr> outside of an [% IF %]) and tam_ack (missing the starting </hr>)
templates have errors which cause this.

@@ -49,8 +35,9 @@
newstatus will need another default other than needinfo on the '<input
type="hidden" name="newstatus" value="needinfo"' line

General, because the drop down is removed we should change to using all caps for
status so the 4 states are:

Open:
Leave as IN PROGRESS
Change status to CLOSED/CERTIFIED

Closed:
Leave as CLOSED/CERTIFIED
Re-Open certification as IN PROGRESS


Comment 14 eric_liu 2008-07-23 02:52:19 UTC
Sir I have uploaded a new the patch which fixed above 

Comment 15 eric_liu 2008-07-23 02:54:57 UTC
Created attachment 312413 [details]
fixed above comments

Comment 16 eric_liu 2008-07-23 02:56:13 UTC
please review  @ http://bugdev.devel.redhat.com/hwcert-eric2/show.cgi?id=456123

Comment 17 Rob Landry 2008-07-23 15:12:18 UTC
Looks good, I'm not certain the rh_edit @@ -4,7 +4,7 @@ change is really needed
but otherwise please commit this change.

Comment 18 Rob Landry 2008-07-25 23:06:44 UTC
Created attachment 312693 [details]
Updated needinfo as a flag patch

Replaces previous efforts, uses the existing flags infrastructure from within a
new template; also address a User.pm change where email_prefs was removed in
the bz3 effort but is required by the flags module; also corrects for a missing
use of the is_active field deprecated in bug #443465 disguised as "exists". 
Unfortunately the db is down for now so I can no longer verify function, so
it'll probably still need some UI updates though @ last run before the test
db's went down for maint. basic operation was correct, but the JS to auto
select the radio's wasn't working.  The patch has been cleaned up since them to
simplify the interface and may no longer work, or work as expect but not as
desired or some combination.

Comment 20 Rob Landry 2008-07-29 18:54:57 UTC
Created attachment 312921 [details]
minor update to needinfo-flag patch

Changes committed to CVS

Comment 21 eric_liu 2008-08-01 11:25:46 UTC
testedd and run good 


Note You need to log in before you can comment on or make changes to this bug.